=== debian/changelog ===
ros-noetic-reach-ros (1.1.1-1focal) focal; urgency=high

  * Merge pull request #10 <https://github.com/marip8/reach_ros/issues/10> from ros-industrial/updates
    Minor Updates
  * Use RICB in CMakeLists
  * Update function to pass by reference
  * Export reach_ros library target
  * Merge pull request #9 <https://github.com/marip8/reach_ros/issues/9> from ros-industrial/fix/plugin
    Fixed typo in plugin export
  * Fixed typo in plugin export
  * Contributors: Michael Ripperger

 -- mripperger <mripperger@swri.org>  Thu, 07 Sep 2023 05:00:00 -0000

ros-noetic-reach-ros (1.1.0-1focal) focal; urgency=high

  * Merge pull request #8 <https://github.com/marip8/reach_ros/issues/8> from marip8/update/reach
    Updated to REACH 1.3.0
  * Updated to REACH 1.3.0
  * Merge pull request #7 <https://github.com/marip8/reach_ros/issues/7> from marip8/update/collision-distance-eval
    Collision distance evaluator update
  * Regenerated demo results
  * Clipped collision distance penalty cost on [0, 1]
  * Updated collision distance penalty to optionally include collision mesh; updated README
  * Merge pull request #6 <https://github.com/marip8/reach_ros/issues/6> from marip8/update/README
    README updates
  * Added installation instructions
  * Added documentation for the collision_mesh_frame parameter
  * Merge pull request #5 <https://github.com/marip8/reach_ros/issues/5> from marip8/updates
    Updates
  * Updated to reach 1.2.0
  * Updated the README
  * Added transformed point cloud target pose generator
  * Exposed plugins in separate library
  * Fixed collision mesh frame key
  * Merge pull request #4 <https://github.com/marip8/reach_ros/issues/4> from marip8/updates
    Updates
  * Set environment variable so plugin loader can find reach_ros plugins
  * Fixed tf2 issue
  * Merge pull request #3 <https://github.com/marip8/reach_ros/issues/3> from marip8/update/deps
    Updated to reach 0.1.1
  * Updated to reach 1.1.0
  * Merge pull request #2 <https://github.com/marip8/reach_ros/issues/2> from marip8/update/changelog
    Cleared changelog
  * Cleared changelog
  * Merge pull request #1 <https://github.com/marip8/reach_ros/issues/1> from marip8/update
    Replace eigen_conversions dependency with tf2
  * Replace eigen_conversions dependency with tf2
  * Removed the Python tests
  * Added reach to the dependencies.repos
  * Install the demo files
  * Updated README to include documentation about demo and usage
  * Added GIF to README
  * Flattened reach_ros directory
  * Removed docs directory
  * Removed reach directory
  * Contributors: Michael Ripperger

 -- mripperger <mripperger@swri.org>  Tue, 13 Jun 2023 05:00:00 -0000

ros-noetic-reach-ros (1.0.0-1focal) focal; urgency=high

  * Move ROS1 components (#44 <https://github.com/marip8/reach/issues/44>)
  * Contributors: Michael Ripperger

 -- mripperger <mripperger@swri.org>  Wed, 10 May 2023 05:00:00 -0000
