=== debian/control ===
Source: ros-noetic-reach-ros
Section: misc
Priority: optional
Maintainer: mripperger <mripperger@swri.org>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-interactive-markers, ros-noetic-moveit-core, ros-noetic-moveit-msgs, ros-noetic-moveit-ros-planning-interface, ros-noetic-reach, ros-noetic-ros-industrial-cmake-boilerplate, ros-noetic-rostest <!nocheck>, ros-noetic-sensor-msgs, ros-noetic-tf2-eigen, ros-noetic-visualization-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-reach-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-interactive-markers, ros-noetic-joint-state-publisher, ros-noetic-moveit-core, ros-noetic-moveit-msgs, ros-noetic-moveit-ros-planning-interface, ros-noetic-reach, ros-noetic-robot-state-publisher, ros-noetic-sensor-msgs, ros-noetic-tf2-eigen, ros-noetic-visualization-msgs, ros-noetic-xacro
Description: The reach_ros package
